#!/bin/sh
#
# $FreeBSD: ports/security/clamsmtp/files/clamsmtpd.sh.tmpl,v 1.1 2004/07/30 00:35:57 vanilla Exp $
#
# PROVIDE: clamsmtpd
# REQUIRE: DAEMON
# KEYWORD: FreeBSD
#
# Add the fellowing line to /etc/rc.conf to enable clamsmtpd:
#
# clamsmtpd_enable="YES"
#

. /etc/rc.subr

name=clamsmtpd
rcvar=`set_rcvar`

command=/usr/local/sbin/${name}
sig_stop=-KILL

load_rc_config ${name}

clamsmtpd_enable=${clamsmtpd_enable-"NO"}
clamsmtpd_smtp=${clamsmtpd_smtp-"mysmtp.com:25"}
clamsmtpd_pid=${clamsmtpd_pid-"/var/run/clamav/clamsmtpd.pid"}
clamsmtpd_socket=${clamsmtpd_socket-"/var/run/clamav/clamd"}
clamsmtpd_user=${clamsmtpd_user-"clamav"}
clamsmtpd_group=${clamsmtpd_group-"clamav"}
clamsmtpd_tmpdir=${clamsmtpd_tmpdir-"/var/tmp"}

command_args="-c ${clamsmtpd_socket} -D ${clamsmtpd_tmpdir} -p ${clamsmtpd_pid} ${clamsmtpd_smtp}"

pidfile=${clamsmtpd_pid}

run_rc_command "$1"
